=== apps/CMakeLists.txt ===
ADD_SUBDIRECTORY(ann_b2b)
ADD_SUBDIRECTORY(announce_transfer)
ADD_SUBDIRECTORY(announcement)
ADD_SUBDIRECTORY(annrecorder)
ADD_SUBDIRECTORY(callback)
ADD_SUBDIRECTORY(click2dial)
IF(PYTHONLIBS_FOUND)
	ADD_SUBDIRECTORY(conf_auth)
ENDIF(PYTHONLIBS_FOUND)
ADD_SUBDIRECTORY(conference)
IF(MYSQLPP_FOUND)
	ADD_SUBDIRECTORY(db_reg_agent)
ENDIF(MYSQLPP_FOUND)
IF(OPENSSL_FOUND)
	ADD_SUBDIRECTORY(diameter_client)
ENDIF(OPENSSL_FOUND)
ADD_SUBDIRECTORY(dsm)
ADD_SUBDIRECTORY(early_announce)
#ADD_SUBDIRECTORY(examples)
IF(MISDN_FOUND)
#	ADD_SUBDIRECTORY(gateway)
ENDIF(MISDN_FOUND)
IF(PYTHONLIBS_FOUND)
	ADD_SUBDIRECTORY(ivr)
ENDIF(PYTHONLIBS_FOUND)
IF(LIBEV_FOUND)
	ADD_SUBDIRECTORY(jsonrpc)
ENDIF(LIBEV_FOUND)
IF(PYTHONLIBS_FOUND)
	ADD_SUBDIRECTORY(mailbox)
ENDIF(PYTHONLIBS_FOUND)
ADD_SUBDIRECTORY(monitoring)
IF(LAME_FOUND)
	ADD_SUBDIRECTORY(mp3)
ENDIF(LAME_FOUND)
ADD_SUBDIRECTORY(msg_storage)
ADD_SUBDIRECTORY(mwi)
IF(PYTHONLIBS_FOUND)
	ADD_SUBDIRECTORY(pin_collect)
ENDIF(PYTHONLIBS_FOUND)
ADD_SUBDIRECTORY(precoded_announce)
IF(PYTHONLIBS_FOUND)
IF(SIP_FOUND)
	ADD_SUBDIRECTORY(py_sems)
ENDIF(SIP_FOUND)
ENDIF(PYTHONLIBS_FOUND)
ADD_SUBDIRECTORY(reg_agent)
ADD_SUBDIRECTORY(registrar_client)
IF(RTMP_FOUND)
	ADD_SUBDIRECTORY(rtmp)
ENDIF(RTMP_FOUND)
ADD_SUBDIRECTORY(sbc)
IF(PYTHONLIBS_FOUND)
#	ADD_SUBDIRECTORY(twit)
ENDIF(PYTHONLIBS_FOUND)
ADD_SUBDIRECTORY(voicebox)
ADD_SUBDIRECTORY(voicemail)
ADD_SUBDIRECTORY(webconference)
IF(OPENSSL_FOUND)
	ADD_SUBDIRECTORY(xmlrpc2di)
ENDIF(OPENSSL_FOUND)
