=== apps/ann_b2b/CMakeLists.txt ===
set (ann_b2b_SRCS
AnnounceB2B.cpp
)

SET(sems_module_name ann_b2b)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)
