=== apps/ann_b2b/Makefile ===
plug_in_name = ann_b2b

module_ldflags =
module_cflags  = 

extra_install = $(plug_in_name)_audio

COREPATH ?=../../core
include $(COREPATH)/plug-in/Makefile.app_module
