=== apps/announce_transfer/CMakeLists.txt ===
set (announce_transfer_SRCS
AnnounceTransfer.cpp
)

SET(sems_module_name announce_transfer)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)
