=== pkg/deb/debian/changelog ===
sems (1.6.0) unstable; urgency=low

  * SEMS 1.6.0 release

 -- stefan <stefan.sayer@googlemail.com>  Tue, 16 Jun 2015 13:10:56 +0200

sems (1.6.0~dev) unstable; urgency=medium

  * Devel version

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 03 Apr 2014 17:52:53 +0200

sems (1.5.0) maverick; urgency=low

  * Core
    - configurable SIP timers (global)
    - timer C support (mainly for SBC)
    - SUBSCRIBE/NOTIFY support
    - multi-mime bodies
    - wideband / multiple sample frequency support
    - multiple destinations (faked SRV record)
    - DNS SRV: support for 503 replies
    - multi-threaded RTP receiver
    - complete rework of offer/answer mechanisms

  * Codecs:
    - iSAC
    - SILK
    - SPEEX 16kHz, 32kHz
    - G722
    - L16

  * SBC
    - audio & dtmf transcoder
    - call-control modules
    - lots of small improvements

  * Monitoring
    - munin plugin

  * DSM
    - mod_xml: XML handling
    - mod_curl: HTTP requests
    - mod_subscription: SUBSCRIBE/NOTIFY
    - mod_regex: regular expressions
    - lots of small improvements

  * App Plug-ins
    - db_reg_agent: register SIP accounts from a DB
    - rtmp: RTMP gateway

 -- Raphael Coeffic <rco@iptel.org>  Tue, 03 Jul 2012 15:06:08 +0200

sems (1.4.0) maverick; urgency=low

  * SEMS 1.4.0 release

 -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 15 Mar 2011 11:13:05 +0100

sems (1.3.0) unstable; urgency=low

   * 100rel (PRACK) support
   * DNS cache, lb on SRV records 
   * B2B with Session Timer
   * json-rpc v2 module
   * SIP stack moved into core
   * optimizations, especially for signaling
   * many DSM improvements 

 --  Stefan Sayer <stefan.sayer@frafos.com>  Sun, 26 Sep 2010 17:35:22 -0400

sems (1.2.0) unstable; urgency=low

  * SEMS 1.2.0 release

 -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 30 Mar 2010 21:46:39 +0200

sems (1.1.1) unstable; urgency=low

  * SEMS 1.1.1 bugfix release   - fixed Via HF missing the port number
    in ACK to 200 reply  - do not try to scale too short RTP packets  -
    fixed initialization of SSL - caused random crashing of xmlrpc
    server  - fix size() for AmArg struct type  - authenticate on both
    401 and 407 reply in click2dial  - fixed ssl build dependency for
    DIAMETER client in deb

 -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 07 Jul 2009 15:13:24 +0200

sems (1.1.0-1) unstable; urgency=low

  * DSM state machine scripting (it's cool!)
  * an (experimental) ISDN gateway module
  * binrpc: MT (SER->) and connection pool (->SER)
  * MT xmlrpc server
  * controlled server shutdown
  * improved logging
  * g722 in 8khz compat mode
  * out of dialog request handling for modules & dialogs without
    sessions
  * audio file autorewind, AmAudio mixing
  * SIP and media IP separately configurable
  * UID/DID support for voicemail/-box/annrecorder
  * and quite some bugs and mem leaks fixed, documentation, etc. 

 -- Stefan Sayer <sayer@iptel.org>  Tue, 20 Jan 2009 18:11:25 +0100

sems (1.1.0-0rc1) unstable; urgency=low

  * Debian Release Candidate 1 for 1.1.

 -- Stefan Sayer <sayer@iptel.org>  Mon, 8 Dec 2008 23:01:40 +0200

sems (1.0.0-0pre1-r856M) unstable; urgency=low

  * Debian Release Candidate 1 for 1.0.

 -- Stefan Sayer <sayer@iptel.org>  Sun, 2 Mar 2002 23:41:31 +0200
