=== debian/control ===
Source: ngcp-sems
Section: net
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Homepage: https://www.sipwise.com/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 flite-dev,
 libbcg729-dev,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libev-dev,
 libevent-dev (>= 2.1.12),
 libgsm1-dev,
 libhiredis-dev,
 libmysql++-dev,
 libopus-dev,
 libre2-dev,
 librtmp-dev,
 libspandsp-dev,
 libspeex-dev,
 libssl-dev,
 libsystemd-dev,
 libxml2-dev,
 openssl,
 pkgconf,
 python3,
 python3-dev,

Package: ngcp-sems
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ngcp-prompts,
 ngcp-system-tools,
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 sems,
Replaces:
 sems,
Description: SIP Express Media Server, very fast and flexible SIP media server
 SEMS, the SIP Express Media Server, is a free, high performance, extensible media
 server for SIP (RFC3261) based VoIP  services. It features voicemail, conferencing,
 announcements, pre-call announcements, prepaid service, calling card service etc.
