=== pkg/deb/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PYTHON_MODULES=ivr conf_auth mailbox pin_collect

EXCLUDED_MODULES=gateway examples mp3 twit

EXCLUDED_DSM_MODULES=mod_aws
EXCLUDED_DSM_PY_MODULES=mod_aws mod_py

CPPFLAGS += -DHAVE_XMLRPCPP_SSL

export USE_SPANDSP=yes LONG_DEBUG_MESSAGE=yes CPPFLAGS="$(CPPFLAGS)"

%:
	dh $@

override_dh_auto_build:
	$(MAKE) \
	cfg-target=/etc/sems/ prefix=/usr \
	exclude_app_modules="$(EXCLUDED_MODULES)" \
	exclude_dsm_modules="$(EXCLUDED_DSM_MODULES)" \
	DESTDIR=$(CURDIR)/debian/sems

override_dh_auto_install:
	$(MAKE) -C core/ install \
		DESTDIR=$(CURDIR)/debian/sems \
		prefix=/usr \
		cfg-target=/etc/sems/

	$(MAKE) -C apps/ install \
		exclude_app_modules="$(EXCLUDED_MODULES) $(PYTHON_MODULES)" \
		exclude_dsm_modules="$(EXCLUDED_DSM_PY_MODULES)" \
		DESTDIR=$(CURDIR)/debian/sems \
		prefix=/usr \
		cfg-target=/etc/sems/

override_dh_strip:
	dh_strip --dbg-package=sems-dbg
	# those binaries aren't automatically stripped
	test -r $(CURDIR)/debian/libsems1-dev/usr/include/sems/compat/getarch && \
		strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		$(CURDIR)/debian/libsems1-dev/usr/include/sems/compat/getarch
	test -r $(CURDIR)/debian/libsems1-dev/usr/include/sems/compat/getos && \
		strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		$(CURDIR)/debian/libsems1-dev/usr/include/sems/compat/getos
